petsc-3.7.7 2017-09-25
Report Typos and Errors

# VecTDotBegin

Starts a split phase transpose dot product computation.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecTDotBegin(Vec x,Vec y,PetscScalar *result)

### Input Parameters

| x | - the first vector
| y | - the second vector
| result | - where the result will go (can be NULL)

### Notes

Each call to VecTDotBegin() should be paired with a call to VecTDotEnd().

### See Also

VecTDotEnd(), VecNormBegin(), VecNormEnd(), VecNorm(), VecDot(), VecMDot(),
VecDotBegin(), VecDotEnd(), PetscCommSplitReductionBegin()

Level:advanced
Location:src/vec/vec/utils/comb.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages